/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.manage.version.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.manage.version.entity.VersionInfoEntity;
import org.springblade.modules.manage.version.vo.VersionInfoVO;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class VersionInfoWrapper extends BaseEntityWrapper<VersionInfoEntity, VersionInfoVO> {
	public static VersionInfoWrapper build() {
		return new VersionInfoWrapper();
	}

	@Override
	public VersionInfoVO entityVO(VersionInfoEntity entity) {
		VersionInfoVO versionInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, VersionInfoVO.class));

		return versionInfoVO;
	}
}
